=== Filters/Texture/Testing/Python/CMakeLists.txt ===
vtk_add_test_python(
  AutomaticPlaneGeneration.py
  cylMap.py
  socbal.py
  textureThreshold.py
  triangularTCoords.py
  TestMergePointsWithTCoords.py
  TestMergeUGridPointsWithTCoords.py
  )
